import React from 'react';
import { Button, Content, ContentVariants } from '@patternfly/react-core';
import CheckIcon from '@patternfly/react-icons/dist/js/icons/check-icon';
import { LocaleContext } from '../context/LocaleContext';
const FeedbackSuccess = ({ onCloseModal, successTitle, successDescription }) => {
    const intl = React.useContext(LocaleContext);
    return (React.createElement("div", { className: "chr-c-feedback-success-content" },
        React.createElement(CheckIcon, { color: "var(--pf-global--success-color--100)", className: "pf-u-mx-auto" }),
        React.createElement(Content, { component: ContentVariants.h1 }, successTitle),
        React.createElement(Content, null, successDescription),
        React.createElement(Button, { variant: "primary", onClick: onCloseModal }, intl.close)));
};
export default FeedbackSuccess;
